Mailinglist Archive: opensuse-updates (131 mails)

< Previous Next >
openSUSE-SU-2016:2840-1: moderate: Security update for util-linux
openSUSE Security Update: Security update for util-linux
______________________________________________________________________________

Announcement ID: openSUSE-SU-2016:2840-1
Rating: moderate
References: #947494 #966891 #978993 #982331 #983164 #987176
#988361 #994399
Cross-References: CVE-2016-5011
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that solves one vulnerability and has 7 fixes is
now available.

Description:

This update for util-linux fixes a number of bugs and one minor security
issue.

The following minor vulnerability was fixed:
- CVE-2016-5011: Infinite loop DoS in libblkid while parsing DOS partition
(bsc#988361)

The following bugs were fixed:
- bsc#987176: When mounting a subfolder of a CIFS share, mount -a would
show the mount as busy
- bsc#947494: mount -a would fail to recognize btrfs already mounted,
address loop re-use in libmount
- bsc#966891: Conflict in meaning of losetup -L. This switch in SLE12 SP1
and SP2 continues to carry the meaning of --logical-blocksize instead of
upstream --nooverlap
- bsc#994399: Package would trigger conflicts with sysvinit-tools
- bsc#983164: mount uid= and gid= would reject valid non UID/GID values
- bsc#978993: cfdisk would mangle some text output
- bsc#982331: libmount: ignore redundant slashes

This update was imported from the SUSE:SLE-12-SP1:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2016-1317=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

libblkid-devel-2.25-18.1
libblkid1-2.25-18.1
libblkid1-debuginfo-2.25-18.1
libmount-devel-2.25-18.1
libmount1-2.25-18.1
libmount1-debuginfo-2.25-18.1
libsmartcols-devel-2.25-18.1
libsmartcols1-2.25-18.1
libsmartcols1-debuginfo-2.25-18.1
libuuid-devel-2.25-18.1
libuuid1-2.25-18.1
libuuid1-debuginfo-2.25-18.1
python-libmount-2.25-18.2
python-libmount-debuginfo-2.25-18.2
python-libmount-debugsource-2.25-18.2
util-linux-2.25-18.1
util-linux-debuginfo-2.25-18.1
util-linux-debugsource-2.25-18.1
util-linux-systemd-2.25-18.1
util-linux-systemd-debuginfo-2.25-18.1
util-linux-systemd-debugsource-2.25-18.1
uuidd-2.25-18.1
uuidd-debuginfo-2.25-18.1

- openSUSE Leap 42.1 (noarch):

util-linux-lang-2.25-18.1

- openSUSE Leap 42.1 (x86_64):

libblkid-devel-32bit-2.25-18.1
libblkid1-32bit-2.25-18.1
libblkid1-debuginfo-32bit-2.25-18.1
libmount-devel-32bit-2.25-18.1
libmount1-32bit-2.25-18.1
libmount1-debuginfo-32bit-2.25-18.1
libuuid-devel-32bit-2.25-18.1
libuuid1-32bit-2.25-18.1
libuuid1-debuginfo-32bit-2.25-18.1


References:

https://www.suse.com/security/cve/CVE-2016-5011.html
https://bugzilla.suse.com/947494
https://bugzilla.suse.com/966891
https://bugzilla.suse.com/978993
https://bugzilla.suse.com/982331
https://bugzilla.suse.com/983164
https://bugzilla.suse.com/987176
https://bugzilla.suse.com/988361
https://bugzilla.suse.com/994399


< Previous Next >
This Thread
  • No further messages